// $Id: INS_test_server.cpp 76591 2007-01-25 18:17:52Z elliott_c $
#include "Server_i.h"
#include "INS_i.h"

// This is the main driver program for the INS test server.

int
main (int argc, char *argv[])
{

  Server_i server;

  ACE_DEBUG ((LM_DEBUG,
              "\n\tINS test server\n\n"));

  try
    {
      if (server.init (argc,
                       argv) == -1)
        return 1;
      else
        {
          server.run ();
        }
    }
  catch (const CORBA::SystemException& sysex)
    {
      sysex._tao_print_exception ("System Exception");
      return -1;
    }
  catch (const CORBA::UserException& userex)
    {
      userex._tao_print_exception ("User Exception");
      return -1;
    }

  return 0;
}
